#! /bin/sh
#---------------------------------------------------------------
#procedure to update site data-base according upgrade version
#---------------------------------------------------------------
#Only one (optionnal) argument
#$1 base	;the testing base.
#---------------------------------------------------------------
#presetting previous version release
REL=0			
#setting the basic definition
if [ -f `dirname $0`/../shell/prev-version.sh ] ; then
  . `dirname $0`/../shell/prev-version.sh
  if [ -n "$RELEASE" ] ; then
    export OLDVERS=$VERSION-$RELEASE
  else
    export OLDVERS=$VERSION
  fi
else 
  #setting RELNUM for clement-2.6
  RELNUM=26006007000
fi
export PRVRELNUM=$RELNUM
#---------------------------------------------------------------
#loading the variable value
. `dirname $0`/../shell/version.sh
. `dirname $0`/../../../../etc/sysconfig/$APPNAME
export CURVERS=$VERSION-$RELEASE
#---------------------------------------------------------------
#Database setting
#first the Data-base type
if [ -z "$DB_TYPE" ] ; then
  DB_TYPE=POSTGRESQL;
  fi

#Then the data-base name
if [ -z "$DB_NAME" ] ; then
  DB_NAME=$APPNAME;
  fi
#setting data-base parameteres
case "$DB_TYPE" in
  "POSTGRESQL"  )
     if [ ! -z "$DB_PORT" ] ; then
       SQLPORT="-p $DB_PORT"
       fi
     if [ ! -z "$DB_HOST" ] ; then
       SQLHOST="-h $DB_HOST"
       fi
     SQL="psql -q $SQLPOR $SQLHOST"
     ;;
  "MYSQL"       )
     if [ ! -z "$DB_PORT" ] ; then
       SQLPORT="-P $DB_PORT"
       fi
     if [ ! -z "$DB_HOST" ] ; then
       SQLHOST="-h $DB_HOST"
       fi
     SQL="mysql -u root $SQLPOR $SQLHOST"
     ;;
  esac
#---------------------------------------------------------------
#setting log file
LOGFILE=$BASE/etc/$APPNAME/dbinst.log
UTIL=`dirname $0`/../utilitities
#===============================================================
#procedure to upgrade to 2.7-0.0
#===============================================================
upto_27000000000()

{
echo "Updating httpd and dovecot $APPNAME configuration file"
echo "to upgrade to 2.7"
(
if [ -d /etc/clement-2.6.res ] ; then
  cd /etc/clement-2.6.res
  for f in 						\
	dovecot-dict-POSTGRESQL.conf.ext		\
	dovecot-dict-MYSQL.conf.ext			\
	dovecot-2.0-auth-sql.conf			\
	dovecot-2.0-auth-ldap.conf			\
	dovecot-2.0.conf				\
	dovecot-sql.conf				\
	clement.php					\
	clement.conf					\
	config.done
    do
      cp -af $f ../clement/$f
      /bin/sed						\
	-i						\
	-e "s/clement-2.6/clement/"			\
	../clement/$f
    done
  ln -s 						\
    ./`ls -la dovecot-dict-sql.conf.ext | 		\
	    grep "\->"			| 		\
	    cut -d'>' -f2		|		\
	    cut -d'/' -f4`				\
	../clement/dovecot-dict-sql.conf.ext
  mv dovecot.conf ../clement
  (
  cd ../clement
  ln -s 
  )
  fi
if [ -d /etc/dovecot ] ; then
  cd /etc/dovecot
  ln -snf ../clement/dovecot-2.0.conf dovecot.conf
  fi
/bin/sed						\
	-i						\
	-e "s/clement-2.6/clement/"			\
	/etc/httpd/conf.d/clement.conf
mv /etc/clement-2.6 /etc/clement-2.6.rpmold
)
}
#---------------------------------------------------------------
#---------------------------------------------------------------
#Main process
#---------------------------------------------------------------
#make sure the log file existing and own by application
touch $LOGFILE
chown $APPNAME.mail $LOGFILE
(
echo "#-------------------------------------------"
echo "#On" `date`
echo "#version files upgrade from $OLDVERS to $CURVERS"
if [ $PRVRELNUM -lt 27000000000 ] ; then
  upto_27000000000
  fi
) >> $LOGFILE 2>&1
(
echo "#==========================================="
echo "Removing /var/crash/$APPNAME.$LEVEL core dump file"
rm -fr /var/crash/$APPNAME.$LEVEL/core.*
echo "#==========================================="
) >> $LOGFILE
